table:
  name: team
  schema: variables
object_relationships:
  - name: team
    using:
      foreign_key_constraint_on: team_id
insert_permissions:
  - role: _staff
    permission:
      check: {}
      columns:
        - vars
        - team_id
select_permissions:
  - role: _participant
    permission:
      columns:
        - vars
        - team_id
      filter:
        _and:
          - team:
              members:
                user_id:
                  _eq: X-Hasura-User-Id
          - team:
              events:
                event:
                  active:
                    _eq: "true"
      allow_aggregations: true
  - role: _scoringpod
    permission:
      columns:
        - vars
        - team_id
      filter: {}
      allow_aggregations: true
  - role: _staff
    permission:
      columns:
        - vars
        - team_id
      filter: {}
      allow_aggregations: true
update_permissions:
  - role: _staff
    permission:
      columns:
        - vars
        - team_id
      filter: {}
      check: {}
delete_permissions:
  - role: _staff
    permission:
      filter: {}
